# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`windows_env`](#windows_env): Manages Windows environment variables

## Resource types

### <a name="windows_env"></a>`windows_env`

Manages Windows environment variables

#### Properties

The following properties are available in the `windows_env` type.

##### `ensure`

Valid values: `present`, `absent`

The basic property that the resource should be in.

Default value: `present`

##### `type`

Valid values: `REG_SZ`, `REG_EXPAND_SZ`

What type of registry key to use for the variable. Determines whether interpolation of '%' enclosed names will occur

#### Parameters

The following parameters are available in the `windows_env` type.

* [`broadcast_timeout`](#-windows_env--broadcast_timeout)
* [`mergemode`](#-windows_env--mergemode)
* [`provider`](#-windows_env--provider)
* [`separator`](#-windows_env--separator)
* [`user`](#-windows_env--user)
* [`value`](#-windows_env--value)
* [`variable`](#-windows_env--variable)

##### <a name="-windows_env--broadcast_timeout"></a>`broadcast_timeout`

Set the timeout (in ms) for environment refreshes. This is per top level window, so delay may be longer than provided
value.

Default value: `100`

##### <a name="-windows_env--mergemode"></a>`mergemode`

Valid values: `clobber`, `insert`, `append`, `prepend`

How to set the value of the environment variable. E.g. replace existing value, append to existing value...

Default value: `insert`

##### <a name="-windows_env--provider"></a>`provider`

The specific backend to use for this `windows_env` resource. You will seldom need to specify this --- Puppet will
usually discover the appropriate provider for your platform.

##### <a name="-windows_env--separator"></a>`separator`

How to separate environment variables with multiple values (e.g. PATH)

Default value: `;`

##### <a name="-windows_env--user"></a>`user`

namevar

Set the user whose environment will be modified

##### <a name="-windows_env--value"></a>`value`

namevar

The environment variable value

##### <a name="-windows_env--variable"></a>`variable`

namevar

The environment variable name

